<?php
/**
 * Created by PhpStorm.
 * User: Hardy
 * Date: 2020/7/31
 * Time: 10:01
 */


namespace App\Modules\SendOrder\Services;


use App\Modules\SendOrder\Models\SendOrderByRegist;

class SendOrderByRegistService
{
    //
     function search($params, $isAll = false)
    {
        $model = new SendOrderByRegist();
        return $model->search($params, $isAll);
    }

    /**
     * 按时间获取去重派单ID
     * @param $start
     * @param $end
     * @return array
     */
    function getSendOrderIdFromOrigin($start, $end)
    {
        $model = new SendOrderByRegist();
        return $model->getSendOrderIdFromOrigin($start, $end);
    }

    /**
     * 删除记录
     * @param array $ids
     */
    function deleteRecs($ids)
    {
        $model = new SendOrderByRegist();
        return $model->deleteRecs($ids);
    }

    /**
     * @param $params
     * @param bool $isAll
     * @return mixed
     */
    function getSendOrderByRegistList($params, $isAll = false)
    {
        $model = new SendOrderByRegist();
        return $model->getSendOrderByRegistList($params, $isAll);
    }

}